function factorial(n: number): number {
    if (n < 0) {
        throw new Error("Le factoriel n'est défini que pour les entiers non négatifs.");
    }
    
    let result = 1;
    for (let i = 2; i <= n; i++) {
        result *= i;
    }
    return result;
}

let n = 5;
console.log(factorial(n));  // Affiche 120
